Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.conf
Class SimpleConfiguration

    java.lang.Object
      |
      +--com.solarmetric.kodo.conf.DefaultConfiguration
            |
            +--com.solarmetric.kodo.conf.SimpleConfiguration

All Implemented Interfaces:
  BeanInfo, Cloneable, Configuration, Serializable

Direct Known Subclasses:
  JDBCSimpleConfiguration

public class SimpleConfiguration
extends DefaultConfiguration

SimpleConfiguration is an implementation of Configuration with a bean-like interface. Subclasses can choose to obtain configuration information from JNDI, Properties, a Bean-builder, etc.

See Also:
  Serialized Form

Field Summary
`protected static boolean` | `BASIC_OPTION`
`protected static boolean` | `EXPERT_OPTION`
`protected static String` | `TYPE_CONNECTING`
`protected static String` | `TYPE_GENERAL`
`protected static String` | `TYPE_JDO`
`protected static String` | `TYPE_OPTIMIZATION`

Fields inherited from interface com.solarmetric.kodo.conf.Configuration
`LOG_CACHE, LOG_CONF, LOG_ENHANCE, LOG_METADATA, LOG_QUERY, LOG_RUNTIME`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`SimpleConfiguration()` Default constructor.
`SimpleConfiguration(boolean loadDefaults)` Constructor.
`SimpleConfiguration(Properties props)` Constructor.

Method Summary
`protected BooleanValue` | `addValue(String property, Class clazz, boolean def, String type, boolean expert)`
`protected IntegerValue` | `addValue(String property, Class clazz, int def, String type, boolean expert)`
`protected ClassValue` | `addValue(String property, Class clazz, String def, Class intf, String type, boolean expert)`
`protected ClassValue` | `addValue(String property, Class clazz, String def, String[] implementors, Class intf, String type, boolean expert)`
`protected StringValue` | `addValue(String property, Class clazz, String def, String[] allowed, String type, boolean expert)`
`protected StringValue` | `addValue(String property, Class clazz, String def, String type, boolean expert)`
`BeanInfo[]` | `getAdditionalBeanInfo()`
`BeanDescriptor` | `getBeanDescriptor()`
`int` | `getCacheReferenceSize()` Returns the number of hard references to objects that the `PersistenceManager`'s cache will retain.
`String` | `getConnectionDriverName()` Class name of the Connection Driver.
`Object` | `getConnectionFactory()` The connection factory, possibly from JNDI.
`Object` | `getConnectionFactory2()` The connection factory, possibly from JNDI.
`String` | `getConnectionFactory2Name()` The name for the second data store connection factory.
`String` | `getConnectionFactoryName()` The name for the data store connection factory.
`String` | `getConnectionPassword()` The password for the data store connection.
`String` | `getConnectionProperties()` Get the properties string to apply to the connection factory.
`Properties` | `getConnectionPropertiesProps()` Returns the ConnectionFactory properties as a `Properties` object.
`String` | `getConnectionURL()` The URL for the data store connection.
`String` | `getConnectionUserName()` The user name for the data store connection.
`DataCache` | `getDataCache()` The L2 data cache.
`String` | `getDataCacheClass()` The class to use for level-2 data store caching.
`String` | `getDataCacheProperties()` Configuration options for the data cache.
`int` | `getDefaultEventIndex()`
`int` | `getDefaultFetchBatchSize()` Get the size of the batch that will be pre-selected when accessing elements in a Query result.
`int` | `getDefaultFetchThreshold()` Get the threshold below which result lists will be completely instantiated upon theircreation.
`String` | `getDefaultPersistenceManagerFactoryClass()`
`int` | `getDefaultPropertyIndex()`
`boolean` | `getEnableQueryExtensions()` Allow filter extensions to be used
`EventSetDescriptor[]` | `getEventSetDescriptors()`
`Image` | `getIcon(int kind)`
`boolean` | `getIgnoreCache()` The default IgnoreCache setting for all PersistenceManager instances obtained from this factory.
`protected String[]` | `getKnownConnectionURLList()` Allows a subclass to provide a list of example drivers, for use in a graphical component.
`protected String[]` | `getKnownDriverList()` Allows a subclass to provide a list of example drivers, for use in a graphical component.
`String` | `getLicenseKey()` The runtime license key for Kodo.
`int` | `getMaxPool()` The maximum number of connections in the connection pool.
`MethodDescriptor[]` | `getMethodDescriptors()`
`int` | `getMinPool()` The minimum number of connections in the connection pool.
`int` | `getMsWait()` The number of milliseconds to wait for an available connection from the connection pool before throwing a JDODatastoreException.
`boolean` | `getMultithreaded()` The default Multithreaded setting for all PersistenceManager instances obtained from this factory.
`boolean` | `getNontransactionalRead()` The default NontransactionalRead setting for all PersistenceManager instances obtained from this factory.
`boolean` | `getNontransactionalWrite()` The default NontransactionalWrite setting for all PersistenceManager instances obtained from this factory.
`boolean` | `getOptimistic()` The default Optimistic setting for all PersistenceManager instances obtained from this factory.
`String` | `getPersistenceManagerClass()` The class name of the `PersistenceManager` type to create.
`String` | `getPersistenceManagerFactoryClass()` Class name of the PersistenceManagerFactoryClass implementation
`String` | `getPersistenceManagerProperties()` Configuration options for the persistence manager.
`String[]` | `getPersistentTypeNames()` Returns an array of names of the persistent types in the PersistentTypes property, or null if no types were listed in the property.
`String` | `getPersistentTypes()` Returns a list of persistent types that are to be registered every time a `PersistenceManager` is obtained from a `PersistenceManagerFactory`.
`PropertyDescriptor[]` | `getPropertyDescriptors()`
`ProxyManager` | `getProxyManager()` The proxy manager.
`String` | `getProxyManagerClass()` The manager for second class object proxies.
`String` | `getProxyManagerProperties()` Configuration for the proxy manager.
`String` | `getQueryFilterListeners()` set the FilterListeners properties
`boolean` | `getRestoreValues()` The default RestoreValues setting for all PersistenceManager instances obtained from this factory.
`boolean` | `getRetainValues()` The default RetainValues setting for all PersistenceManager instances obtained from this factory.
`boolean` | `getUseSoftTransactionCache()` Return `true` if the `PersistenceManager` should maintain soft references to objects in the transactional cache.
`Value[]` | `getValues()`
`void` | `initDefaults()`
`void` | `setCacheReferenceSize(int cacheReferenceSize)` Set the number of hard references to objects that the `PersistenceManager`'s cache will retain.
`void` | `setCacheReferenceSize(Integer cacheReferenceSize)` Wrapper setter for `setCacheReferenceSize(int)`.
`void` | `setConnectionDriverName(String driverName)` Class name of the Connection Driver.
`void` | `setConnectionFactory(Object factory)` The connection factory.
`void` | `setConnectionFactory2(Object factory)` The connection factory.
`void` | `setConnectionFactory2Name(String connectionFactoryName2)` The name for the second data store connection factory.
`void` | `setConnectionFactoryName(String connectionFactoryName)` The name for the data store connection factory.
`void` | `setConnectionPassword(String connectionPassword)` The password for the data store connection.
`void` | `setConnectionProperties(String connectionProperties)` Set the properties string to apply to the connection factory.
`void` | `setConnectionURL(String connectionURL)` The URL for the data store connection.
`void` | `setConnectionUserName(String connectionUserName)` The user name for the data store connection.
`void` | `setDataCache(DataCache dataCache)` The L2 data cache.
`void` | `setDataCacheClass(String clsName)` The class to use for level-2 data store caching.
`void` | `setDataCacheProperties(String props)` Configuration options for the data cache.
`void` | `setDefaultFetchBatchSize(int size)` Set the size of the batch that will be pre-selected when accessing elements in a Query result.
`void` | `setDefaultFetchBatchSize(Integer size)` Wrapper setter for `setDefaultFetchBatchSize(int)`.
`void` | `setDefaultFetchThreshold(int threshold)` Set the threshold below which result lists will be completely instantiated upon their creation.
`void` | `setDefaultFetchThreshold(Integer threshold)` Wrapper setter for `setDefaultFetchThreshold(int)`.
`void` | `setEnableQueryExtensions(boolean allow)` Set whether filter extensions can be used
`void` | `setEnableQueryExtensions(Boolean allow)` Wrapper setter for `setEnableQueryExtensions(boolean)`.
`void` | `setIgnoreCache(boolean ignoreCache)` The default IgnoreCache setting for all PersistenceManager instances obtained from this factory.
`void` | `setIgnoreCache(Boolean ignoreCache)` Wrapper setter for `setIgnoreCache(boolean)`.
`void` | `setLicenseKey(String licenseKey)` The runtime license key for Kodo.
`void` | `setMaxPool(int maxPool)` The maximum number of connections in the connection pool.
`void` | `setMaxPool(Integer maxPool)` Wrapper setter for `setMaxPool(int)`.
`void` | `setMinPool(int minPool)` The minimum number of connections in the connection pool.
`void` | `setMinPool(Integer minPool)` Wrapper setter for `setMinPool(int)`.
`void` | `setMsWait(int msWait)` The number of milliseconds to wait for an available connection from the connection pool before throwing a JDODatastoreException.
`void` | `setMsWait(Integer msWait)` Wrapper setter for `setMsWait(int)`.
`void` | `setMultithreaded(boolean multithreaded)` The default Multithreaded setting for all PersistenceManager instances obtained from this factory.
`void` | `setMultithreaded(Boolean multithreaded)` Wrapper setter for `setMultithreaded(boolean)`.
`void` | `setNontransactionalRead(boolean nontransactionalRead)` The default NontransactionalRead setting for all PersistenceManager instances obtained from this factory.
`void` | `setNontransactionalRead(Boolean nontransactionalRead)` Wrapper setter for `setNontransactionalRead(boolean)`.
`void` | `setNontransactionalWrite(boolean nontransactionalWrite)` The default NontransactionalWrite setting for all PersistenceManager instances obtained from this factory.
`void` | `setNontransactionalWrite(Boolean nontransactionalWrite)` Wrapper setter for `setNontransactionalWrite(boolean)`.
`void` | `setOptimistic(boolean optimistic)` The default Optimistic setting for all PersistenceManager instances obtained from this factory.
`void` | `setOptimistic(Boolean optimistic)` Wrapper setter for `setOptimistic(boolean)`.
`void` | `setPersistenceManagerClass(String persistenceManagerClass)` The class name of the `PersistenceManager` type to create.
`void` | `setPersistenceManagerFactoryClass(String pmfName)` Class name of the PersistenceManagerFactoryClass implementation.
`void` | `setPersistenceManagerProperties(String props)` Configuration options for the persistence manager.
`void` | `setPersistentTypes(String persistentTypes)` Sets a list of persistent types that are to be registered every time a `PersistenceManager` is obtained from a `PersistenceManagerFactory`.
`void` | `setProxyManager(ProxyManager manager)` The proxy manager.
`void` | `setProxyManagerClass(String clsName)` The manager for second class object proxies.
`void` | `setProxyManagerProperties(String props)` Configuration for the proxy manager.
`void` | `setQueryFilterListeners(String list)` Set the FilterListeners config properties
`void` | `setRestoreValues(boolean restoreValues)` The default RestoreValues setting for all PersistenceManager instances obtained from this factory.
`void` | `setRestoreValues(Boolean restoreValues)` Wrapper setter for `setRestoreValues(boolean)`.
`void` | `setRetainValues(boolean retainValues)` The default RetainValues setting for all PersistenceManager instances obtained from this factory.
`void` | `setRetainValues(Boolean retainValues)` Wrapper setter for `setRetainValues(boolean)`.
`void` | `setUseSoftTransactionCache(boolean val)` Set whether or not the `PersistenceManager` should maintain soft references to objects in the transactional cache.
`void` | `setUseSoftTransactionCache(Boolean val)` Wrapper setter for `setUseSoftTransactionCache(boolean)`.

Methods inherited from class com.solarmetric.kodo.conf.DefaultConfiguration
`checkFrozen, clone, configurationClone, equals, freeze, fromProperties, getLog, hashCode, isFrozen, loadDefaults, toProperties`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXPERT_OPTION

    protected static final boolean EXPERT_OPTION

### BASIC_OPTION

    protected static final boolean BASIC_OPTION

### TYPE_GENERAL

    protected static final String TYPE_GENERAL

### TYPE_JDO

    protected static final String TYPE_JDO

### TYPE_CONNECTING

    protected static final String TYPE_CONNECTING

### TYPE_OPTIMIZATION

    protected static final String TYPE_OPTIMIZATION

Constructor Detail

### SimpleConfiguration

    public SimpleConfiguration()

  Default constructor. Loads default settings as described in `DefaultConfiguration`.

### SimpleConfiguration

    public SimpleConfiguration(boolean loadDefaults)

  Constructor.
  Parameters:
    `loadDefaults` - if true, the constructor will attempt to load default settings as described in `DefaultConfiguration`

### SimpleConfiguration

    public SimpleConfiguration(Properties props)

  Constructor.
  Parameters:
    `props` - the `Properties` object to load via `DefaultConfiguration.fromProperties(java.util.Properties)`

Method Detail

### initDefaults

    public void initDefaults()

### getValues

    public Value[] getValues()

  Overrides:
    `getValues` in class `DefaultConfiguration`

### addValue

    protected StringValue addValue(String property,
                                   Class clazz,
                                   String def,
                                   String type,
                                   boolean expert)

### addValue

    protected ClassValue addValue(String property,
                                  Class clazz,
                                  String def,
                                  Class intf,
                                  String type,
                                  boolean expert)

### addValue

    protected ClassValue addValue(String property,
                                  Class clazz,
                                  String def,
                                  String[] implementors,
                                  Class intf,
                                  String type,
                                  boolean expert)

### addValue

    protected StringValue addValue(String property,
                                   Class clazz,
                                   String def,
                                   String[] allowed,
                                   String type,
                                   boolean expert)

### addValue

    protected IntegerValue addValue(String property,
                                    Class clazz,
                                    int def,
                                    String type,
                                    boolean expert)

### addValue

    protected BooleanValue addValue(String property,
                                    Class clazz,
                                    boolean def,
                                    String type,
                                    boolean expert)

### setLicenseKey

    public void setLicenseKey(String licenseKey)

  Description copied from interface: `Configuration`
  The runtime license key for Kodo.

### getLicenseKey

    public String getLicenseKey()

  Description copied from interface: `Configuration`
  The runtime license key for Kodo.

### getDefaultFetchThreshold

    public int getDefaultFetchThreshold()

  Description copied from interface: `Configuration`
  Get the threshold below which result lists will be completely instantiated upon theircreation.

### setDefaultFetchThreshold

    public void setDefaultFetchThreshold(int threshold)

  Description copied from interface: `Configuration`
  Set the threshold below which result lists will be completely instantiated upon their creation.

### setDefaultFetchThreshold

    public void setDefaultFetchThreshold(Integer threshold)

  Description copied from interface: `Configuration`
  Wrapper setter for `Configuration.setDefaultFetchThreshold(int)`.

### getDefaultFetchBatchSize

    public int getDefaultFetchBatchSize()

  Description copied from interface: `Configuration`
  Get the size of the batch that will be pre-selected when accessing elements in a Query result.

### setDefaultFetchBatchSize

    public void setDefaultFetchBatchSize(int size)

  Description copied from interface: `Configuration`
  Set the size of the batch that will be pre-selected when accessing elements in a Query result.

### setDefaultFetchBatchSize

    public void setDefaultFetchBatchSize(Integer size)

  Description copied from interface: `Configuration`
  Wrapper setter for `Configuration.setDefaultFetchBatchSize(int)`.

### setQueryFilterListeners

    public void setQueryFilterListeners(String list)

  Description copied from interface: `Configuration`
  Set the FilterListeners config properties

### getQueryFilterListeners

    public String getQueryFilterListeners()

  Description copied from interface: `Configuration`
  set the FilterListeners properties

### setEnableQueryExtensions

    public void setEnableQueryExtensions(boolean allow)

  Description copied from interface: `Configuration`
  Set whether filter extensions can be used

### setEnableQueryExtensions

    public void setEnableQueryExtensions(Boolean allow)

  Description copied from interface: `Configuration`
  Wrapper setter for `Configuration.setEnableQueryExtensions(boolean)`.

### getEnableQueryExtensions

    public boolean getEnableQueryExtensions()

  Description copied from interface: `Configuration`
  Allow filter extensions to be used

### setPersistenceManagerClass

    public void setPersistenceManagerClass(String persistenceManagerClass)

  Description copied from interface: `Configuration`
  The class name of the `PersistenceManager` type to create.

### getPersistenceManagerClass

    public String getPersistenceManagerClass()

  Description copied from interface: `Configuration`
  The class name of the `PersistenceManager` type to create.

### setPersistenceManagerProperties

    public void setPersistenceManagerProperties(String props)

  Description copied from interface: `Configuration`
  Configuration options for the persistence manager.

### getPersistenceManagerProperties

    public String getPersistenceManagerProperties()

  Description copied from interface: `Configuration`
  Configuration options for the persistence manager.

### setDataCacheClass

    public void setDataCacheClass(String clsName)

  Description copied from interface: `Configuration`
  The class to use for level-2 data store caching.

### getDataCacheClass

    public String getDataCacheClass()

  Description copied from interface: `Configuration`
  The class to use for level-2 data store caching.

### setDataCacheProperties

    public void setDataCacheProperties(String props)

  Description copied from interface: `Configuration`
  Configuration options for the data cache.

### getDataCacheProperties

    public String getDataCacheProperties()

  Description copied from interface: `Configuration`
  Configuration options for the data cache.

### setDataCache

    public void setDataCache(DataCache dataCache)

  Description copied from interface: `Configuration`
  The L2 data cache. Setting this property overrides any information set through `Configuration.setDataCacheClass(java.lang.String)` and `Configuration.setDataCacheProperties(java.lang.String)`. Note that the instance set will be held transiently.

### getDataCache

    public DataCache getDataCache()

  Description copied from interface: `Configuration`
  The L2 data cache. If a data cache has been explicitly set via the `Configuration.setDataCache(com.solarmetric.kodo.runtime.datacache.DataCache)` method, it will be returned. Otherwise, if the data cache class has been set, a new instance of the class will be created and configured with any set data cache properties. This instance will be cached for subsequent calls to this method. Finally, if no data cache class is set, null is returned.

### setProxyManagerClass

    public void setProxyManagerClass(String clsName)

  Description copied from interface: `Configuration`
  The manager for second class object proxies.

### getProxyManagerClass

    public String getProxyManagerClass()

  Description copied from interface: `Configuration`
  The manager for second class object proxies.

### setProxyManagerProperties

    public void setProxyManagerProperties(String props)

  Description copied from interface: `Configuration`
  Configuration for the proxy manager.

### getProxyManagerProperties

    public String getProxyManagerProperties()

  Description copied from interface: `Configuration`
  Configuration for the proxy manager.

### setProxyManager

    public void setProxyManager(ProxyManager manager)

  Description copied from interface: `Configuration`
  The proxy manager. Setting this property overrides any information set through `Configuration.setProxyManagerClass(java.lang.String)` and `Configuration.setProxyManagerProperties(java.lang.String)`. Note that the instance set will be held transiently.

### getProxyManager

    public ProxyManager getProxyManager()

  Description copied from interface: `Configuration`
  The proxy manager. If a proxy manager has been explicitly set via the `Configuration.setProxyManager(com.solarmetric.kodo.util.ProxyManager)` method, it will be returned. Otherwise, if the data manager class has been set, a new instance of the class will be created and configured with any set proxy manager properties. This instance will be cached for subsequent calls to this method. Finally, if no proxy manager class is set, null is returned.

### setCacheReferenceSize

    public void setCacheReferenceSize(int cacheReferenceSize)

  Description copied from interface: `Configuration`
  Set the number of hard references to objects that the `PersistenceManager`'s cache will retain.

### setCacheReferenceSize

    public void setCacheReferenceSize(Integer cacheReferenceSize)

  Description copied from interface: `Configuration`
  Wrapper setter for `Configuration.setCacheReferenceSize(int)`.

### getCacheReferenceSize

    public int getCacheReferenceSize()

  Description copied from interface: `Configuration`
  Returns the number of hard references to objects that the `PersistenceManager`'s cache will retain. `-1` to maintain hard refs to all objects in the cache.

### setUseSoftTransactionCache

    public void setUseSoftTransactionCache(boolean val)

  Description copied from interface: `Configuration`
  Set whether or not the `PersistenceManager` should maintain soft references to objects in the transactional cache.

### setUseSoftTransactionCache

    public void setUseSoftTransactionCache(Boolean val)

  Description copied from interface: `Configuration`
  Wrapper setter for `Configuration.setUseSoftTransactionCache(boolean)`.

### getUseSoftTransactionCache

    public boolean getUseSoftTransactionCache()

  Description copied from interface: `Configuration`
  Return `true` if the `PersistenceManager` should maintain soft references to objects in the transactional cache.

### setOptimistic

    public void setOptimistic(boolean optimistic)

  Description copied from interface: `Configuration`
  The default Optimistic setting for all PersistenceManager instances obtained from this factory.

### setOptimistic

    public void setOptimistic(Boolean optimistic)

  Description copied from interface: `Configuration`
  Wrapper setter for `Configuration.setOptimistic(boolean)`.

### getOptimistic

    public boolean getOptimistic()

  Description copied from interface: `Configuration`
  The default Optimistic setting for all PersistenceManager instances obtained from this factory.

### setRetainValues

    public void setRetainValues(boolean retainValues)

  Description copied from interface: `Configuration`
  The default RetainValues setting for all PersistenceManager instances obtained from this factory.

### setRetainValues

    public void setRetainValues(Boolean retainValues)

  Description copied from interface: `Configuration`
  Wrapper setter for `Configuration.setRetainValues(boolean)`.

### getRetainValues

    public boolean getRetainValues()

  Description copied from interface: `Configuration`
  The default RetainValues setting for all PersistenceManager instances obtained from this factory.

### setRestoreValues

    public void setRestoreValues(boolean restoreValues)

  Description copied from interface: `Configuration`
  The default RestoreValues setting for all PersistenceManager instances obtained from this factory.

### setRestoreValues

    public void setRestoreValues(Boolean restoreValues)

  Description copied from interface: `Configuration`
  Wrapper setter for `Configuration.setRestoreValues(boolean)`.

### getRestoreValues

    public boolean getRestoreValues()

  Description copied from interface: `Configuration`
  The default RestoreValues setting for all PersistenceManager instances obtained from this factory.

### setIgnoreCache

    public void setIgnoreCache(boolean ignoreCache)

  Description copied from interface: `Configuration`
  The default IgnoreCache setting for all PersistenceManager instances obtained from this factory.

### setIgnoreCache

    public void setIgnoreCache(Boolean ignoreCache)

  Description copied from interface: `Configuration`
  Wrapper setter for `Configuration.setIgnoreCache(boolean)`.

### getIgnoreCache

    public boolean getIgnoreCache()

  Description copied from interface: `Configuration`
  The default IgnoreCache setting for all PersistenceManager instances obtained from this factory.

### setNontransactionalRead

    public void setNontransactionalRead(boolean nontransactionalRead)

  Description copied from interface: `Configuration`
  The default NontransactionalRead setting for all PersistenceManager instances obtained from this factory.

### setNontransactionalRead

    public void setNontransactionalRead(Boolean nontransactionalRead)

  Description copied from interface: `Configuration`
  Wrapper setter for `Configuration.setNontransactionalRead(boolean)`.

### getNontransactionalRead

    public boolean getNontransactionalRead()

  Description copied from interface: `Configuration`
  The default NontransactionalRead setting for all PersistenceManager instances obtained from this factory.

### setNontransactionalWrite

    public void setNontransactionalWrite(boolean nontransactionalWrite)

  Description copied from interface: `Configuration`
  The default NontransactionalWrite setting for all PersistenceManager instances obtained from this factory.

### setNontransactionalWrite

    public void setNontransactionalWrite(Boolean nontransactionalWrite)

  Description copied from interface: `Configuration`
  Wrapper setter for `Configuration.setNontransactionalWrite(boolean)`.

### getNontransactionalWrite

    public boolean getNontransactionalWrite()

  Description copied from interface: `Configuration`
  The default NontransactionalWrite setting for all PersistenceManager instances obtained from this factory.

### setMultithreaded

    public void setMultithreaded(boolean multithreaded)

  Description copied from interface: `Configuration`
  The default Multithreaded setting for all PersistenceManager instances obtained from this factory.

### setMultithreaded

    public void setMultithreaded(Boolean multithreaded)

  Description copied from interface: `Configuration`
  Wrapper setter for `Configuration.setMultithreaded(boolean)`.

### getMultithreaded

    public boolean getMultithreaded()

  Description copied from interface: `Configuration`
  The default Multithreaded setting for all PersistenceManager instances obtained from this factory.

### setConnectionUserName

    public void setConnectionUserName(String connectionUserName)

  Description copied from interface: `Configuration`
  The user name for the data store connection.

### getConnectionUserName

    public String getConnectionUserName()

  Description copied from interface: `Configuration`
  The user name for the data store connection.

### setConnectionPassword

    public void setConnectionPassword(String connectionPassword)

  Description copied from interface: `Configuration`
  The password for the data store connection.

### getConnectionPassword

    public String getConnectionPassword()

  Description copied from interface: `Configuration`
  The password for the data store connection.

### setConnectionURL

    public void setConnectionURL(String connectionURL)

  Description copied from interface: `Configuration`
  The URL for the data store connection.

### getConnectionURL

    public String getConnectionURL()

  Description copied from interface: `Configuration`
  The URL for the data store connection.

### setPersistenceManagerFactoryClass

    public void setPersistenceManagerFactoryClass(String pmfName)

  Description copied from interface: `Configuration`
  Class name of the PersistenceManagerFactoryClass implementation.

### getDefaultPersistenceManagerFactoryClass

    public String getDefaultPersistenceManagerFactoryClass()

### getPersistenceManagerFactoryClass

    public String getPersistenceManagerFactoryClass()

  Description copied from interface: `Configuration`
  Class name of the PersistenceManagerFactoryClass implementation

### setConnectionDriverName

    public void setConnectionDriverName(String driverName)

  Description copied from interface: `Configuration`
  Class name of the Connection Driver.

### getConnectionDriverName

    public String getConnectionDriverName()

  Description copied from interface: `Configuration`
  Class name of the Connection Driver.

### getKnownDriverList

    protected String[] getKnownDriverList()

  Allows a subclass to provide a list of example drivers, for use in a graphical component.

### getKnownConnectionURLList

    protected String[] getKnownConnectionURLList()

  Allows a subclass to provide a list of example drivers, for use in a graphical component.

### setMaxPool

    public void setMaxPool(int maxPool)

  Description copied from interface: `Configuration`
  The maximum number of connections in the connection pool.

### setMaxPool

    public void setMaxPool(Integer maxPool)

  Description copied from interface: `Configuration`
  Wrapper setter for `Configuration.setMaxPool(int)`.

### getMaxPool

    public int getMaxPool()

  Description copied from interface: `Configuration`
  The maximum number of connections in the connection pool.

### setMinPool

    public void setMinPool(int minPool)

  Description copied from interface: `Configuration`
  The minimum number of connections in the connection pool.

### setMinPool

    public void setMinPool(Integer minPool)

  Description copied from interface: `Configuration`
  Wrapper setter for `Configuration.setMinPool(int)`.

### getMinPool

    public int getMinPool()

  Description copied from interface: `Configuration`
  The minimum number of connections in the connection pool.

### setMsWait

    public void setMsWait(int msWait)

  Description copied from interface: `Configuration`
  The number of milliseconds to wait for an available connection from the connection pool before throwing a JDODatastoreException.

### setMsWait

    public void setMsWait(Integer msWait)

  Description copied from interface: `Configuration`
  Wrapper setter for `Configuration.setMsWait(int)`.

### getMsWait

    public int getMsWait()

  Description copied from interface: `Configuration`
  The number of milliseconds to wait for an available connection from the connection pool before throwing a JDODatastoreException.

### setConnectionFactoryName

    public void setConnectionFactoryName(String connectionFactoryName)

  Description copied from interface: `Configuration`
  The name for the data store connection factory.

### getConnectionFactoryName

    public String getConnectionFactoryName()

  Description copied from interface: `Configuration`
  The name for the data store connection factory.

### setConnectionFactory

    public void setConnectionFactory(Object factory)

  Description copied from interface: `Configuration`
  The connection factory.

### setPersistentTypes

    public void setPersistentTypes(String persistentTypes)

  Description copied from interface: `Configuration`
  Sets a list of persistent types that are to be registered every time a `PersistenceManager` is obtained from a `PersistenceManagerFactory`.

### getPersistentTypes

    public String getPersistentTypes()

  Description copied from interface: `Configuration`
  Returns a list of persistent types that are to be registered every time a `PersistenceManager` is obtained from a `PersistenceManagerFactory`.

### getPersistentTypeNames

    public String[] getPersistentTypeNames()

  Description copied from interface: `Configuration`
  Returns an array of names of the persistent types in the PersistentTypes property, or null if no types were listed in the property.
  Following copied from interface: `com.solarmetric.kodo.conf.Configuration`
  See Also:
    `Configuration.getPersistentTypes()`

### getConnectionFactory

    public Object getConnectionFactory()

  Description copied from interface: `Configuration`
  The connection factory, possibly from JNDI.

### setConnectionFactory2Name

    public void setConnectionFactory2Name(String connectionFactoryName2)

  Description copied from interface: `Configuration`
  The name for the second data store connection factory.

### getConnectionFactory2Name

    public String getConnectionFactory2Name()

  Description copied from interface: `Configuration`
  The name for the second data store connection factory.

### setConnectionFactory2

    public void setConnectionFactory2(Object factory)

  Description copied from interface: `Configuration`
  The connection factory.

### getConnectionFactory2

    public Object getConnectionFactory2()

  Description copied from interface: `Configuration`
  The connection factory, possibly from JNDI.

### getConnectionPropertiesProps

    public Properties getConnectionPropertiesProps()

  Returns the ConnectionFactory properties as a `Properties` object.

### setConnectionProperties

    public void setConnectionProperties(String connectionProperties)

  Description copied from interface: `Configuration`
  Set the properties string to apply to the connection factory.

### getConnectionProperties

    public String getConnectionProperties()

  Description copied from interface: `Configuration`
  Get the properties string to apply to the connection factory.

### getAdditionalBeanInfo

    public BeanInfo[] getAdditionalBeanInfo()

### getBeanDescriptor

    public BeanDescriptor getBeanDescriptor()

### getDefaultEventIndex

    public int getDefaultEventIndex()

### getDefaultPropertyIndex

    public int getDefaultPropertyIndex()

### getEventSetDescriptors

    public EventSetDescriptor[] getEventSetDescriptors()

### getIcon

    public Image getIcon(int kind)

### getMethodDescriptors

    public MethodDescriptor[] getMethodDescriptors()

### getPropertyDescriptors

    public PropertyDescriptor[] getPropertyDescriptors()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.